%define name    ecap
%define version 0.2.0
%define release %mkrel 1
%define major 2
%define libname %mklibname %{name}  %{major}
%define develname %mklibname %{name} -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    eCAP library
Summary(de): eCAP Bibliothek
License:    BSD
Group:      Networking/Other
URL:        http://www.e-cap.org/
Source:     http://www.measurement-factory.com/tmp/ecap/libecap-%{version}.tar.xz
BuildRequires:  kernel-headers

%description
eCAP is a software interface that allows a network application, such as an 
HTTP proxy or an ICAP server, to outsource content analysis and adaptation 
to a loadable module. For each applicable protocol message being 
processed, an eCAP-enabled application supplies the message details to the 
adaptation module and gets back an adapted message or a "not interested" 
response. These exchanges often include message bodies.
#german
%description -l de
eCAP ist ein Software-Schnittstelle, die eine Netzwerk-Anwendung, wie z. B. 
HTTP-Proxy oder einen ICAP-Server erlaubt, die Outsourcing-Content-Analyse 
und Anpassung zu einem ladbaren Moduls. Jede Anwendungs Protokoll-Nachricht 
wird verarbeitet, eine eCAP-fähige Anwendung liefert die Details der Nachricht
an die Adaptionsmodul und bekommt eine angepasste Nachricht oder eine 
"nicht interessante" Antwort. Dieser Austausch beinhalten oft Nachrichtentexte.

%package -n     %{libname}
Summary:        Main library for ecap
Summary(de):	Benötigte Bibliotheken für ecap
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Obsoletes: 	%{_lib}ecap0

%description -n %{libname}
eCAP is a software interface that allows a network application, such as an 
HTTP proxy or an ICAP server, to outsource content analysis and adaptation 
to a loadable module. For each applicable protocol message being 
processed, an eCAP-enabled application supplies the message details to the 
adaptation module and gets back an adapted message or a "not interested" 
response. These exchanges often include message bodies.
#german
%description -n %{libname} -l de
eCAP ist ein Software-Schnittstelle, die eine Netzwerk-Anwendung, wie z. B. 
HTTP-Proxy oder einen ICAP-Server erlaubt, die Outsourcing-Content-Analyse 
und Anpassung zu einem ladbaren Moduls. Jede Anwendungs Protokoll-Nachricht 
wird verarbeitet, eine eCAP-fähige Anwendung liefert die Details der Nachricht
an die Adaptionsmodul und bekommt eine angepasste Nachricht oder eine 
"nicht interessante" Antwort. Dieser Austausch beinhalten oft Nachrichtentexte.


%package        -n     %{develname}
Summary:        Header files for the ecap library
Summary(de):	Entwicklerdateien für die ecap Bibliothek
Group:          Development/Libraries
Requires:       %{name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:     %{_lib}ecap-devel < %version

%description    -n %{develname}
eCAP is a software interface that allows a network application, such as an
HTTP proxy or an ICAP server, to outsource content analysis and adaptation
to a loadable module. For each applicable protocol message being
processed, an eCAP-enabled application supplies the message details to the
adaptation module and gets back an adapted message or a "not interested"
response. These exchanges often include message bodies.
These are devel files.
#german
%description    -n %{develname} -l de
eCAP ist ein Software-Schnittstelle, die eine Netzwerk-Anwendung, wie z. B. 
HTTP-Proxy oder einen ICAP-Server erlaubt, die Outsourcing-Content-Analyse 
und Anpassung zu einem ladbaren Moduls. Jede Anwendungs Protokoll-Nachricht 
wird verarbeitet, eine eCAP-fähige Anwendung liefert die Details der Nachricht
an die Adaptionsmodul und bekommt eine angepasste Nachricht oder eine 
"nicht interessante" Antwort. Dieser Austausch beinhalten oft Nachrichtentexte.
Dieses Paket beinhaltet die Headerdateien.

%prep
%setup -q -n libecap-%{version}

#export LIBS=-lpcap 
%configure2_5x --enable-shared --enable-std-include

%build
%make
%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/libecap.la

%clean
%{__rm} -rf %{buildroot}


%files -n %{libname}
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/libecap.so.%{major}*


%files  -n %{develname}
%defattr(-,root,root)
%{_includedir}/libecap/*
%{_libdir}/libecap.so
%{_libdir}/libecap.a
%{_libdir}/pkgconfig/libecap.pc


%changelog
* Mon Mar 02 2015 bb <bb> 0.2.0-1pclos2015
- update 

* Fri Mar 02 2012 leiche <meisssw01 at gmail.com> 0.0.3-2pclos2012
- rebuild for 32 bit
- add german description

